<?php

namespace Bydedi\DebugBar\DependencyInjection\Compiler;

use Symfony\Component\DependencyInjection\Reference;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Compiler\CompilerPassInterface;

/**
 * Class RegisterDataCollectorPass
 * @package Bydedi\DebugBar\DependencyInjection\Compiler
 */
class RegisterDataCollectorPass implements CompilerPassInterface
{
    public function process(ContainerBuilder $container)
    {
        if (!$container->findDefinition('dedi.debug_bar')) {
            return;
        }

        $plugins = $container->findTaggedServiceIds('app.data_collector');
        $definition = $container->findDefinition('dedi.debug_bar');
        foreach ($plugins as $id => $args) {
            $definition->addMethodCall('registerDataCollector', array(new Reference($id)));
        }

    }
}
